<?php

/**
 * GepItemtrabalhoativ
 *
 * This class has been auto-generated by the Doctrine ORM Framework
 *
 * @package    DbModel
 * @subpackage Model
 * @author     robertomartins - 20/05/2011 14:37:29 <development@setforms.com>
 * @version    SVN: $Id: Builder.php 6508 2009-10-14 06:28:49Z jwage $
 */
class GepItemtrabalhoativ extends DaoGepItemtrabalhoativ
{


    /**
    * Retorna a atividade que esta com a situacao em interrompida.
    *
    * @param string $nratividade   N?mero da atividade.
    *
    * @return Ambigous <TkModel, unknown, mixed, NULL>
    */
    static public function retornaItemdetrabalhoativ($nratividade){
        $nrorg = Ambiente::getNrorg();
        try {
            $select = 'NRATIVIDADE = ? AND NRORG = ?';
            $obj = self::getObjectByWhere(
                $select,
                array(
                 $nratividade,
                 $nrorg,
                )
            );
               return $obj;
        } catch (Exception $e) {
               showClassError($e, __FUNCTION__, __LINE__);
           }
     }

	/**
     * Exclui Item trabalho atividade.
     *
     * @param integer $nratividade N?mero da Atividade.
     * @param integer $nrorg       N?mero da Organiza??o.
     *
     * @return boolean
     */
    public static function excluiItemTrabalhoAtivByAtividade($nrorg, $nratividade){
        try {
            $db = TkDbAdapter::getWorkConnection();

            $exclusao = $db->createQuery()
                ->delete('GEP_ITEMTRABALHOATIV')
                ->where("NRORG = '".$nrorg."'")
                ->addWhere("NRATIVIDADE = '".$nratividade."'");
            $db->execute($exclusao);
        } catch(Exception $e) {
            showClassError($e, __FUNCTION__, __LINE__);
            return false;
        }
        return true;
    }
    
    
	/**
     * Retorna o sql da consulta dos itens de trabalho de uma atividade.
     * 
     * @param int $nratividade Cod. da Atividade.
     * 
     * @return string
     */
    public static function retornaConsultaItensTrabalhoAtiv($nratividade) {
    	$nrorg = Ambiente::getNrorg();
    	
    	$sql = "SELECT
    		ITA.NRATIVIDADE,
	    	(
		    CASE
		      WHEN ITA.DSITEMTRABALHO IS NULL
		      THEN 'Arquivo'
		      ELSE 'Metadados'
		    END) TIPO,
			  (
			    CASE
			      WHEN ITA.DSITEMTRABALHO IS NULL
			      THEN IT.NMITEMTRABALHO
			      ELSE ITA.DSITEMTRABALHO
			    END) ITEMTRABALHO
			FROM
			  GEP_ITEMTRABALHOATIV ITA,
			  GEP_ITEMTRABALHO IT
			WHERE
			  ITA.NRITEMTRABALHO = IT.NRITEMTRABALHO(+)
			AND ITA.NRORG        = IT.NRORG(+)
			AND ITA.NRATIVIDADE  = %d
			AND ITA.NRORG        = %d";
    	
    	$nrorg = (int) $nrorg;
        $nratividade = (int)$nratividade; 
        $sql = sprintf($sql, $nratividade, $nrorg);
        
        return $sql;
    }


}