/*+
|                                                |
|      Trigger: DTULTATU_CONVMED                 |  
|      Tabela : CONV_MEDICO                      |
|                                                |
|      Criao:                                  |
|      07/02/2008 - Leonardo Bispo               |
|                                                |
+*/


CREATE OR REPLACE TRIGGER DTULTATU_CONVMED 
BEFORE INSERT OR DELETE OR UPDATE
ON CONV_MEDICO FOR EACH ROW 

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUCONVMED := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.CDCONVMEDI,0) <> NVL(:NEW.CDCONVMEDI,0)) OR
         (NVL(:OLD.NMCONVMEDI,0) <> NVL(:NEW.NMCONVMEDI,0)) THEN
         :NEW.DTULTATUCONVMED := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
         VALUES ('CONV_MEDICO', '', 'CDCONVMEDI ='||:OLD.CDCONVMEDI||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE CONV_MEDIC MODIFY DTULTATUCONVMED DEFAULT SYSDATE
/